Bug 123866 - vte doesn't redraw invalidated areas very quickly
vte doesn't redraw invalidated areas very quickly
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: vte (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Warren Togami
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-20 21:03 EDT by Richard Henderson
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-11 06:20:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Henderson 2004-05-20 21:03:30 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040506

Description of problem:
Screen refresh after exposure events is shamefully slow.

Version-Release number of selected component (if applicable):
gnome-terminal-2.6.0-2

How reproducible:
Always

Steps to Reproduce:
Stack a couple of windows on top of a complex background:
(1) gnome-terminal full of text
(2) xterm full of text
(3) mozilla displaying something arbitrary.
Grab a fourth window and move it over the lot of them.
    

Actual Results:
Notice that the gnome-terminal refresh significantly lags the
movement of the fourth window -- by up to half of the window
width -- and nothing else does.  Notice that you can visibly
identify multiple exposure events in the uncovered gnome-terminal.

Expected Results:
Refresh faster than the eye can follow.

Additional info:
Comment 1 Dams 2004-09-27 15:45:16 EDT
I think the situation is far worse on fc3t2 with
gnome-terminal(0:2.7.3-1).i386... it's quite a hell. Self-scrolling
text (cat /some/big/file) in gnome-terminal is also quite a pain...
will this ever get better one day ?
Comment 2 Ray Strode [halfline] 2004-09-27 15:59:45 EDT
Richard, are you using a translucent background?

Dams, there was a vte scrolling bug in fc3t2 that has been fixed in
Rawhide.
Comment 3 Richard Henderson 2004-09-27 16:16:56 EDT
Absolutely not.  First, I can't read such things.  Second, I realize
that would *have* to be slow.  I'm even using the same "fixed" font
that's default with xterm, hoping to avoid extra work for keen-o
rendered fonts.
Comment 4 Warren Togami 2005-09-11 06:20:08 EDT
Performance problems are not a priority for Fedora.  Fedora has no resources to
work on this.  Please complain about vte performance problems at the upstream
GNOME project and bugzilla.gnome.org.

Note You need to log in before you can comment on or make changes to this bug.